import { TemplateRef, QueryList, ElementRef, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { GanttItemInternal, GanttGroupInternal, GanttSelectedEvent } from '../../class';
import { NgxGanttTableColumnComponent } from '../../table/gantt-column.component';
import { CdkDragEnd, CdkDragMove, CdkDragStart } from '@angular/cdk/drag-drop';
import { GanttAbstractComponent } from '../../gantt-abstract';
import { GanttUpper } from '../../gantt-upper';
import * as i0 from "@angular/core";
export declare const defaultColumnWidth = 100;
export declare const minColumnWidth = 80;
export declare class GanttTableComponent implements OnChanges {
    gantt: GanttAbstractComponent;
    ganttUpper: GanttUpper;
    private elementRef;
    columnList: QueryList<NgxGanttTableColumnComponent>;
    dragStartLeft: number;
    groups: GanttGroupInternal[];
    items: GanttItemInternal[];
    set columns(columns: QueryList<NgxGanttTableColumnComponent>);
    groupTemplate: TemplateRef<any>;
    emptyTemplate: TemplateRef<any>;
    rowBeforeTemplate: TemplateRef<any>;
    rowAfterTemplate: TemplateRef<any>;
    itemClick: EventEmitter<GanttSelectedEvent<unknown>>;
    draglineElementRef: ElementRef<HTMLElement>;
    ganttTableClass: boolean;
    ganttTableEmptyClass: boolean;
    constructor(gantt: GanttAbstractComponent, ganttUpper: GanttUpper, elementRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    private dragFixed;
    expandGroup(group: GanttGroupInternal): void;
    expandChildren(event: MouseEvent, item: GanttItemInternal): void;
    dragStarted(event: CdkDragStart): void;
    dragMoved(event: CdkDragMove, column?: NgxGanttTableColumnComponent): void;
    columnDragEnded(event: CdkDragEnd, column: NgxGanttTableColumnComponent): void;
    tableDragEnded(event: CdkDragEnd): void;
    private showAuxiliaryLine;
    private hideAuxiliaryLine;
    trackBy(index: number, item: GanttGroupInternal | GanttItemInternal): string | number;
    static ɵfac: i0.ɵɵFactoryDeclaration<GanttTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GanttTableComponent, "gantt-table", never, { "groups": "groups"; "items": "items"; "columns": "columns"; "groupTemplate": "groupTemplate"; "emptyTemplate": "emptyTemplate"; "rowBeforeTemplate": "rowBeforeTemplate"; "rowAfterTemplate": "rowAfterTemplate"; }, { "itemClick": "itemClick"; }, never, never>;
}
