import { GanttLinkType, GanttLinkOptions, GanttLinkLineType } from './class/link';
import { InjectionToken } from '@angular/core';
export interface GanttDateFormat {
    hour?: string;
    day?: string;
    week?: string;
    month?: string;
    quarter?: string;
    year?: string;
    yearMonth?: string;
    yearQuarter?: string;
}
export interface GanttGlobalConfig {
    dateFormat?: GanttDateFormat;
    linkOptions?: GanttLinkOptions;
}
export declare const defaultConfig: {
    dateFormat: {
        hour: string;
        day: string;
        week: string;
        month: string;
        quarter: string;
        year: string;
        yearMonth: string;
        yearQuarter: string;
    };
    linkOptions: {
        dependencyTypes: GanttLinkType[];
        showArrow: boolean;
        lineType: GanttLinkLineType;
    };
};
export declare const GANTT_GLOBAL_CONFIG: InjectionToken<GanttGlobalConfig>;
