export { addYears, addMonths, addDays, addWeeks, addQuarters, getUnixTime, startOfDay, startOfWeek, startOfMonth, startOfQuarter, startOfYear, endOfDay, endOfWeek, endOfMonth, endOfQuarter, endOfYear, format, fromUnixTime, getDaysInMonth, addSeconds, setDate, addMinutes, addHours, differenceInCalendarDays, isWeekend, getWeek, isToday, differenceInDays, differenceInCalendarQuarters, eachMonthOfInterval, eachWeekOfInterval, eachDayOfInterval } from 'date-fns';
export declare type GanttDateUtil = 'second' | 'minute' | 'hour' | 'day' | 'week' | 'month' | 'quarter' | 'year';
export declare class GanttDate {
    value: Date;
    constructor(date?: Date | string | number);
    getYear(): number;
    getMonth(): number;
    getDay(): number;
    getTime(): number;
    getDate(): number;
    getHours(): number;
    getMinutes(): number;
    getSeconds(): number;
    getMilliseconds(): number;
    getWeek(options?: {
        locale?: Locale;
        weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    }): number;
    getDaysInMonth(): number;
    getDaysInQuarter(): number;
    getDaysInYear(): number;
    setDate(dayOfMonth: number): GanttDate;
    clone(): GanttDate;
    add(amount: number, unit?: GanttDateUtil): GanttDate;
    addSeconds(amount: number): GanttDate;
    addMinutes(amount: number): GanttDate;
    addHours(amount: number): GanttDate;
    addDays(amount: number): GanttDate;
    addWeeks(amount: number): GanttDate;
    addMonths(amount: number): GanttDate;
    addQuarters(amount: number): GanttDate;
    addYears(amount: number): GanttDate;
    startOfDay(): GanttDate;
    startOfWeek(options?: {
        locale?: Locale;
        weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    }): GanttDate;
    startOfMonth(): GanttDate;
    startOfQuarter(): GanttDate;
    startOfYear(): GanttDate;
    endOfDay(): GanttDate;
    endOfWeek(options?: {
        locale?: Locale;
        weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    }): GanttDate;
    endOfMonth(): GanttDate;
    endOfQuarter(): GanttDate;
    endOfYear(): GanttDate;
    getUnixTime(): number;
    format(mat: string, options?: {
        locale?: Locale;
        weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
        firstWeekContainsDate?: number;
        useAdditionalWeekYearTokens?: boolean;
        useAdditionalDayOfYearTokens?: boolean;
    }): string;
    isWeekend(): boolean;
    isToday(): boolean;
}
